module namespace search = 'http://ossetic-studies.org/ns/abaevdict-site/search-modal';

import module namespace abv-m = 'http://ossetic-studies.org/ns/abaevdict-mod' at '../../abv-mod.xqm';

(: Modal that appears on all pages, with search results :)
declare function search:content($lang as xs:string) {
      if (exists(session:get('searchData'))) then 
      <dialog id="modal_searchResults">
        <article>
          <header>
            <button class="abv-close-search" aria-label="Close" rel="prev"/>
            <p>{if ($lang = 'ru') then 'Результаты поиска' 
                  else 'Search results'}</p>
          </header>
            <table>
              <thead>
                <tr>
                  <td>{if ($lang = 'ru') then '№' else 'No.'}</td>
                  <td>{if ($lang = 'ru') then 'Лемма' else 'Lemma'}</td>
                  <td>{if ($lang = 'ru') then 'Фрагмент' else 'Fragment'}</td>
                </tr>
              </thead>
              <tbody>
              </tbody>
            </table>
          <footer>
            <button class="abv-close-search">{if ($lang = 'ru') then 'Закрыть' else 'Close'}</button>
          </footer>
        </article>
      </dialog>
};